Subject: Re: bug#50506: 28.0.50; display-line-numbers equivalent for linum-format?

From: Michael Gallagher - NOAA Affiliate <[email-masked]>
Date: Tue, 14 Sep 2021 11:24:53 -0600

Here's a screenshot.

On Tue, Sep 14, 2021 at 10:17 AM Michael Gallagher - NOAA Affiliate <
[email-masked]> wrote:

> OK. Here we go. I found some time last night. Attached is a git patch file
> for changes that implement this feature request as well as (GNU) diffs for
> the individual files in question. It's a pretty simple commit. It's worth
> noting that I'm probably overlooking something in how I create the glyph, I
> definitely don't understand the nuances of the display code. But I hope
> it's helpful.
>
> On Mon, Sep 13, 2021 at 12:27 PM Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Michael Gallagher - NOAA Affiliate <[email-masked]>
>> > Date: Mon, 13 Sep 2021 12:17:09 -0600
>> > Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
>> >
>> > Funny enough, that's *exactly* what I tried to do, but I ran into
>> problems getting the variable to display in
>> > customize-variable (a problem with what I put in cus-start.el?) and if
>> I manually used setq it didn't seem to
>> > get translated correctly by the way I coded the macro.
>>
>> I think if you look up all the pieces that handle
>> display-fill-column-indicator-character, both in C and in Lisp, you
>> will have your answers.  Feel free to ask specific questions if
>> something is still unclear after that.
>>
>
>
> --
> Michael Gallagher, PhD
> CIRES Research Scientist
> Polar Observations and Processes Team (ESRL/NOAA/PSD)
> 325 Broadway, Boulder, Colorado 80305
>

-- 
Michael Gallagher, PhD
CIRES Research Scientist
Polar Observations and Processes Team (ESRL/NOAA/PSD)
325 Broadway, Boulder, Colorado 80305